Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(48)

Issue 1683493003: Remove ContextScope from visitDOMWrapper (Closed)

Created:
4 years, 11 months ago by haraken
Modified:
4 years, 8 months ago
CC:
blink-reviews, blink-reviews-bindings_chromium.org, chromium-reviews
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Remove Context::Scope from visitDOMWrapper visitDOMWrapper should not create a Context::Scope. Alternately, it should visit wrappers of all worlds (currently the binding layer is assuming that wrappers of all worlds are kept alive if any of the wrappers is alive). Also it is important to remove the Context::Scope because if DOM has a long reference chain to be visited, the Context::Scopes created on the stack can overflow and cause crashes. BUG=455160, 610340 Committed: https://crrev.com/b1b2e5dd2b1f6c4b314a813987724812e13fbc18 Cr-Commit-Position: refs/heads/master@{#393492}

Patch Set 1 #

Patch Set 2 : #

Patch Set 3 : #

Patch Set 4 : #

Total comments: 2

Patch Set 5 : #

Unified diffs Side-by-side diffs Delta from patch set Stats (+22 lines, -14 lines) Patch
M third_party/WebKit/Source/bindings/core/v8/DOMWrapperWorld.h View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/Source/bindings/core/v8/DOMWrapperWorld.cpp View 1 2 3 4 2 chunks +18 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/bindings/templates/interface.cpp View 1 2 3 4 1 chunk +1 line, -4 lines 0 comments Download
M third_party/WebKit/Source/bindings/tests/results/core/V8TestInterface.cpp View 1 2 3 4 1 chunk +1 line, -4 lines 0 comments Download
M third_party/WebKit/Source/bindings/tests/results/modules/V8TestInterface5.cpp View 1 2 3 4 1 chunk +1 line, -4 lines 0 comments Download

Messages

Total messages: 32 (15 generated)
haraken
yukishiino@: PTAL.
4 years, 11 months ago (2016-02-09 05:36:46 UTC) #2
Yuki
lgtm
4 years, 11 months ago (2016-02-09 06:55:07 UTC) #3
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1683493003/1 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1683493003/1
4 years, 11 months ago (2016-02-09 07:24:44 UTC) #5
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_rel_ng on tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_rel_ng/builds/171188)
4 years, 11 months ago (2016-02-09 10:04:44 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1683493003/1 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1683493003/1
4 years, 11 months ago (2016-02-09 10:28:04 UTC) #9
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_rel_ng on tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_rel_ng/builds/171211)
4 years, 11 months ago (2016-02-09 13:03:18 UTC) #11
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1683493003/1 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1683493003/1
4 years, 11 months ago (2016-02-09 14:27:57 UTC) #13
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_rel_ng on tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_rel_ng/builds/171296)
4 years, 11 months ago (2016-02-09 17:19:47 UTC) #15
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1683493003/1 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1683493003/1
4 years, 11 months ago (2016-02-09 23:49:21 UTC) #17
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_rel_ng on tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_rel_ng/builds/171653)
4 years, 11 months ago (2016-02-10 02:28:57 UTC) #19
jochen (gone - plz use gerrit)
lgtm
4 years, 11 months ago (2016-02-17 11:04:04 UTC) #20
haraken
The bots are green. PTAL.
4 years, 8 months ago (2016-05-13 07:51:57 UTC) #23
Yuki
lgtm https://codereview.chromium.org/1683493003/diff/60001/third_party/WebKit/Source/bindings/core/v8/DOMWrapperWorld.cpp File third_party/WebKit/Source/bindings/core/v8/DOMWrapperWorld.cpp (right): https://codereview.chromium.org/1683493003/diff/60001/third_party/WebKit/Source/bindings/core/v8/DOMWrapperWorld.cpp#newcode167 third_party/WebKit/Source/bindings/core/v8/DOMWrapperWorld.cpp:167: for (auto& keyValuePair : isolatedWorlds) { super nit: ...
4 years, 8 months ago (2016-05-13 08:05:22 UTC) #24
haraken
https://codereview.chromium.org/1683493003/diff/60001/third_party/WebKit/Source/bindings/core/v8/DOMWrapperWorld.cpp File third_party/WebKit/Source/bindings/core/v8/DOMWrapperWorld.cpp (right): https://codereview.chromium.org/1683493003/diff/60001/third_party/WebKit/Source/bindings/core/v8/DOMWrapperWorld.cpp#newcode167 third_party/WebKit/Source/bindings/core/v8/DOMWrapperWorld.cpp:167: for (auto& keyValuePair : isolatedWorlds) { On 2016/05/13 08:05:22, ...
4 years, 8 months ago (2016-05-13 08:59:56 UTC) #25
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1683493003/80001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1683493003/80001
4 years, 8 months ago (2016-05-13 09:00:35 UTC) #28
commit-bot: I haz the power
Committed patchset #5 (id:80001)
4 years, 8 months ago (2016-05-13 10:12:50 UTC) #30
commit-bot: I haz the power
4 years, 8 months ago (2016-05-13 10:14:18 UTC) #32
Message was sent while issue was closed.
Patchset 5 (id:??) landed as
https://crrev.com/b1b2e5dd2b1f6c4b314a813987724812e13fbc18
Cr-Commit-Position: refs/heads/master@{#393492}

Powered by Google App Engine
This is Rietveld 408576698